[svn-commits] tilghman: trunk r1318 - in /trunk: ./ zaptel.init

svn-commits at lists.digium.com svn-commits at lists.digium.com
Tue Aug 15 18:40:16 MST 2006


Author: tilghman
Date: Tue Aug 15 20:40:16 2006
New Revision: 1318

URL: http://svn.digium.com/view/zaptel?rev=1318&view=rev
Log:
Merged revisions 1317 via svnmerge from 
https://origsvn.digium.com/svn/zaptel/branches/1.2

........
r1317 | tilghman | 2006-08-15 20:36:34 -0500 (Tue, 15 Aug 2006) | 2 lines

Bug 7624 - Debian lacks /var/lock/subsys

........

Modified:
    trunk/   (props changed)
    trunk/zaptel.init

Propchange: trunk/
------------------------------------------------------------------------------
--- branch-1.2-merged (original)
+++ branch-1.2-merged Tue Aug 15 20:40:16 2006
@@ -1,1 +1,1 @@
-/branches/1.2:1-916,918-936,938-949,958,962,970,990,1004,1011,1017,1031,1033,1060,1062,1064-1066,1069,1071,1076,1079,1081,1097,1101,1151,1185,1187,1205,1233,1235-1236,1243,1248,1259,1262,1298,1300,1304,1306,1311,1313,1315
+/branches/1.2:1-916,918-936,938-949,958,962,970,990,1004,1011,1017,1031,1033,1060,1062,1064-1066,1069,1071,1076,1079,1081,1097,1101,1151,1185,1187,1205,1233,1235-1236,1243,1248,1259,1262,1298,1300,1304,1306,1311,1313,1315,1317

Modified: trunk/zaptel.init
URL: http://svn.digium.com/view/zaptel/trunk/zaptel.init?rev=1318&r1=1317&r2=1318&view=diff
==============================================================================
--- trunk/zaptel.init (original)
+++ trunk/zaptel.init Tue Aug 15 20:40:16 2006
@@ -26,8 +26,10 @@
 # Source zaptel configuration.
 if [ $system = debian ]; then
     [ -f /etc/default/zaptel ] && . /etc/default/zaptel
+	LOCKFILE=/var/lock/zaptel
 elif [ $system = redhat ]; then
     [ -f /etc/sysconfig/zaptel ] && . /etc/sysconfig/zaptel
+	LOCKFILE=/var/lock/subsys/zaptel
 fi
 
 if [ -z "${MODULES}" ]; then 
@@ -57,7 +59,7 @@
 # See how we were called.
 case "$1" in
   start)
-        # Load drivers
+	# Load drivers
 	rmmod wcusb >& /dev/null
 	rmmod wcfxsusb >& /dev/null
 	rmmod audio >& /dev/null
@@ -100,11 +102,11 @@
 	fi
 	RETVAL=$?
 
-        [ $RETVAL -eq 0 ] && touch /var/lock/subsys/zaptel
-        ;;
+	[ $RETVAL -eq 0 ] && touch $LOCKFILE
+	;;
   stop)
-        # Unload drivers
-        echo -n "Unloading zaptel hardware drivers:"
+	# Unload drivers
+	echo -n "Unloading zaptel hardware drivers:"
 	for x in $RMODULES; do 
 		if rmmod ${x} >& /dev/null; then
 			echo -n " $x"
@@ -121,9 +123,9 @@
 	fi
 	RETVAL=$?
 
-        [ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/zaptel
-        ;;
- restart)
+	[ $RETVAL -eq 0 ] && rm -f $LOCKFILE
+	;;
+  restart)
 	$0 stop
 	$0 start
 	;;
@@ -138,8 +140,8 @@
 	RETVAL=$?
 	;;
   *)
-        echo "Usage: zaptel {start|stop|restart|reload}"
-        exit 1
+	echo "Usage: zaptel {start|stop|restart|reload}"
+	exit 1
 esac
 
 exit $RETVAL



More information about the svn-commits mailing list